STTY(1)

NOM
stty - Modifier et afficher la configuration de la ligne de terminal

SYNOPSIS
stty [-F PÉRIPHÉRIQUE | --file=PÉRIPHÉRIQUE] [PARAMÈTRE]...
stty [-F PÉRIPHÉRIQUE | --file=PÉRIPHÉRIQUE] [-a|--all]
stty [-F PÉRIPHÉRIQUE | --file=PÉRIPHÉRIQUE] [-g|--save]

DESCRIPTION

Afficher ou modifier les caractéristiques du terminal.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-a, --all
    afficher toutes les caractéristiques actuelles dans un format lisible par un être humain

-g, --save
    afficher toutes les caractéristiques dans un format lisible par stty

-F, --file=PÉRIPHÉRIQUE
    utiliser le périphérique indiqué au lieu de l'entrée standard

--help
    afficher l'aide-mémoire et quitter.

--version
    afficher les informations de version et quitter.

Un « - » optionnel avant [PARAMÈTRE] indique une négation. Une « * » indique que le [PARAMÈTRE] n'est pas POSIX. Les options disponibles dépendent du système d'exploitation sous-jacent.

  Caractères spéciaux :

* discard CHAR
    CHAR arrêtera l'affichage de la sortie

eof CHAR
    CHAR émettra un signal de fin de fichier (indique la fin du flux d'entrée)

eol CHAR
    CHAR terminera la ligne

* eol2 CHAR
    caractère de fin de ligne de remplacement

erase CHAR
    CHAR effacera le dernier caractère entré

intr CHAR
    CHAR émettra un signal d'interruption

kill CHAR
    CHAR effacera la ligne actuelle

* lnext CHAR
    CHAR mettra le caractère suivant entre guillemets

quit CHAR
    CHAR émettra le signal « quit »

* rprnt CHAR
    CHAR réaffichera la ligne actuelle

start CHAR
    CHAR poursuivra l'affichage après l'avoir arrêté

stop CHAR
    CHAR arrêtera l'affichage de la sortie

susp CHAR
    CHAR émettra un signal d'arrêt de terminal (« terminal stop »)

* swtch CHAR
    CHAR passera à un niveau différent de l'interpréteur de commandes

* werase CHAR
    CHAR effacera le dernier mot entré

  Paramètres spéciaux :

N   définir les vitesses d'entrée et de sortie à N bauds

* cols N
    indiquer au noyau que le terminal a N colonnes

* columns N
    identique à cols N

* [-]drain
    attendre la transmission avant d'appliquer les paramètres (actif par défaut)

ispeed N
    définir la vitesse d'entrée à N

* line N
    utiliser la discipline de ligne N

min N
    avec -icanon, définir à N le nombre de caractères minimal pour terminer une lecture

ospeed N
    définir la vitesse de sortie à N

* rows N
    indiquer au noyau que le terminal a N lignes

* size
    afficher le nombre de lignes et de colonnes selon les paramètres du noyau

speed
    afficher la vitesse du terminal

time N
    avec -icanon, initialiser le délai maximal en lecture à N dixièmes de seconde

  Paramètres de contrôle :

[-]clocal
    inhiber les signaux de contrôle du modem

[-]cread
    autoriser la réception de l'entrée

* [-]crtscts
    activer le contrôle de flux par RTS/CTS

csN initialiser la taille des caractères à N bits, N compris dans [5..8]

[-]cstopb
    utiliser deux bits d'arrêt par caractère (un bit d'arrêt avec « - »)

[-]hup
    émettre un signal de libération de ligne lorsque le dernier processus ferme le tty

[-]hupcl
    identique à [-]hup

[-]parenb
    générer le bit de parité en sortie et considérer un bit de parité implicite en entrée

[-]parodd
    utiliser une parité impaire (paire avec « - »)

* [-]cmspar
    utiliser une parité « stick » (marque ou espace)

  Paramètres d'entrée :

[-]brkint
    le « break » provoque un signal d'interruption

[-]icrnl
    convertir le retour chariot en saut de ligne

[-]ignbrk
    ignorer le caractère « break »

[-]igncr
    ignorer le retour chariot

[-]ignpar
    ignorer les caractères ayant des erreurs de parité

* [-]imaxbel
    émettre un bip sonore et ne pas vider un tampon d'entrée plein lors de l'arrivée d'un caractère

[-]inlcr
    convertir le saut de ligne en retour chariot

[-]inpck
    activer la vérification de la parité en entrée

[-]istrip
    mettre à zéro le bit de poids fort (huitième) des caractères en entrée

* [-]iutf8
    supposer que les caractères d'entrées sont codés en UTF-8

* [-]iuclc
    convertir les majuscules en minuscules

* [-]ixany
    permettre à n'importe quel caractère et pas seulement le caractère de redémarrage de relancer la sortie

[-]ixoff
    activer l'envoi des caractères d'arrêt/départ (« start/stop »)

[-]ixon
    activer le contrôle de flux XON/XOFF

[-]parmrk
    indiquer les erreurs de parité (par une séquence 255-0-caractère)

[-]tandem
    identique à [-]ixoff

  Paramètres de sortie :

* bsN
    style du délai de retour arrière, N compris dans [0..1]

* crN
    style du délai du retour chariot, N compris dans [0..3]

* ffN
    style du délai du saut de page, N compris dans [0..1]

* nlN
    style du délai du saut de ligne, N étant dans [0..1]

* [-]ocrnl
    convertir le retour chariot en saut de ligne

* [-]ofdel
    utiliser le caractère d'effacement (« delete ») pour le remplissage au lieu de l'octet NULL

* [-]ofill
    utiliser des caractères de remplissage au lieu d'une temporisation pour les délais

* [-]olcuc
    convertir les minuscules en majuscules

* [-]onlcr
    convertir le saut de ligne en retour chariot/saut de ligne

* [-]onlret
    le saut de ligne provoque un retour chariot

* [-]onocr
    ne pas afficher un retour chariot en première colonne

[-]opost
    effectuer un post-traitement de la sortie

* tabN
    style du délai de tabulation horizontale, N compris dans [0..3]

* tabs
    identique à tab0

* -tabs
    identique à tab3

* vtN
    style du délai de tabulation verticale, N compris dans [0..1]

  Paramètres locaux :

[-]crterase
    faire l'écho du caractère d'effacement (« erase ») sous forme de séquence retour arrière-espace-retour arrière

* crtkill
    annuler les lignes en respectant la valeur des paramètres « echoprt » et « echoe »

* -crtkill
    effacer toutes les lignes en respectant les paramètres « echoctl » et « echok »

* [-]ctlecho
    faire l'écho des caractères de contrôle par une notation en chapeau (« ^c »)

[-]echo
    faire l'écho des caractères en entrée

* [-]echoctl
    identique à [-]ctlecho

[-]echoe
    identique à [-]crterase

[-]echok
    faire l'écho d'un saut de ligne après un caractère d'effacement de ligne

* [-]echoke
    identique à [-]crtkill

[-]echonl
    faire l'écho d'un saut de ligne même s'il n'y a pas d'écho des autres caractères

* [-]echoprt
    faire l'écho des caractères effacés par retour arrière, entre « \ » et « / »

* [-]extproc
    activer "MODE_LIGNE" ; utile pour les liaisons à haute latence

* [-]flusho
    arrêter l'affichage

[-]icanon
    autoriser les caractères spéciaux « erase », « kill », « werase » et « rprnt »

[-]iexten
    autoriser les caractères spéciaux non POSIX

[-]isig
    autoriser les caractères spéciaux « interrupt », « quit » et « suspend »

[-]noflsh
    désactiver la purge du tampon après réception des caractères spéciaux « interrupt » et « quit »

* [-]prterase
    identique à [-]echoprt

* [-]tostop
    arrêter les tâches d'arrière plan qui tentent d'écrire sur le terminal

* [-]xcase
    avec « icanon », utiliser le caractère de déspécification « \ » pour les majuscules

  Paramètres combinés :

* [-]LCASE
    identique à [-]lcase

cbreak
    identique à -icanon

-cbreak
    identique à icanon

cooked
    identique à brkint ignpar istrip icrnl ixon opost isig icanon, les caractères « eof » et « eol » ayant leur valeur par défaut

-cooked
    identique à raw

crt identique à echoe echoctl echoke

dec identique à echoe echoctl echoke -ixany intr ^c erase 0177 kill ^u

* [-]decctlq
    identique à [-]ixany

ek  réinitialiser les caractères « erase » et « kill » à leur valeur par défaut

evenp
    identique à parenb -parodd cs7

-evenp
    identique à -parenb cs8

* [-]lcase
    identique à xcase iuclc olcuc

litout
    identique à -parenb -istrip -opost cs8

-litout
    identique à parenb istrip opost cs7

nl  identique à -icrnl -onlcr

-nl identique à icrnl -inlcr -igncr onlcr -ocrnl -onlret

oddp
    identique à parenb parodd cs7

-oddp
    identique à -parenb cs8

[-]parity
    identique à [-]evenp

pass8
    identique à -parenb -istrip cs8

-pass8
    identique à parenb istrip cs7

raw identique à -ignbrk -brkint -ignpar -parmrk -inpck -istrip -inlcr -igncr -icrnl -ixon -ixoff -iuclc -ixany -imaxbel -opost -isig -icanon -xcase min 1 time 0

-raw
    identique à cooked

sane
    identique à cread -ignbrk brkint -inlcr -igncr icrnl icanon iexten echo echoe echok -echonl -noflsh -ixoff -iutf8 -iuclc -ixany imaxbel -xcase -olcuc -ocrnl opost -ofill onlcr -onocr -onlret nl0 cr0 tab0 bs0 vt0 ff0 isig -tostop -ofdel -echoprt echoctl echoke -extproc -flusho, tous les caractères spéciaux ayant leur valeur par défaut

Prendre en charge la ligne « tty » reliée à l'entrée standard. Sans paramètre, afficher la vitesse, la discipline de ligne et les écarts par rapport à « stty sane ». Dans les paramètres, le caractère spécial est pris littéralement, ou codé comme ^c, 0x37, 0177 ou 127 ; les valeurs spéciales comme « ^- » ou indéfinies (« undef ») sont utilisées pour inhiber les caractères spéciaux.

AUTEUR
Écrit par David MacKenzie.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
Documentation complète : <https://www.gnu.org/software/coreutils/stty>
aussi disponible localement à l’aide de la commande : info '(coreutils) stty invocation'

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Pierre Giraud <jean-pierregiraud@neuf.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.